body {
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande',
        'Lucida Sans', Arial, sans-serif;
    font-size: 16px;
    letter-spacing: 0.01rem;
}
#accordionExample{
    
}
#registrace {
    width: 500px;
    margin: 100px auto;
    background-color: rgb(255, 255, 255);
    padding: 20px;
    border: 1px solid rgb(226, 226, 226);
    border-radius: 10px;
    box-shadow: 5px 5px 8px #9bafc9;
}
#textLogo {
    padding-left: 3px;
    padding-right: 5px;
    padding-bottom: 0px;
}
.middle {
    display: block;
    overflow: auto;
    padding: 20px;
    width: 81%;
    margin: 1% auto;

    background-color: rgb(248, 252, 255);
    border: 0px solid rgb(231, 231, 231);
    border-radius: 10px;
}

.middleClassic {
    width: 80%;
    display: block;
    overflow: auto;
    margin: 1% auto;
    background-color: rgb(248, 252, 255);
    padding: 20px;
    border: 1px solid rgb(231, 231, 231);
    border-radius: 10px;
}

fieldset {
    padding: 0.2em 1em 1em;
    margin: 0.5em 0;
    background: #e4f1fc;
    border: 1px solid #c77272;
    border-radius: 10px;
}
textarea,
select,
input:not([type='checkbox']):not([type='radio']):not([type='submit']):not(
        [type='image']
    ):not([type='range']):not([type='button']) {
    padding: 0.3em 0.5em;
    color: black;
    background: white;
    border: 1px solid silver;
    border-radius: 5px;
    width: auto;
}
.has-error textarea,
.has-error select,
.has-error
    input:not([type='checkbox']):not([type='radio']):not([type='submit']):not(
        [type='image']
    ):not([type='range']) {
    border-color: #e22;
}
select {
    padding-right: 0.3em;
}
input[type='submit'] {
    padding: 5px;
}

input[type='time'] {
    width: fit-content !important;
    text-align: center;
}
input[type='number'] {
    width: 100px !important;
    text-align: left;
}
select[name='meetingsCount'] {
    width: 100px !important;
    text-align: left;
}
input[name='date'] {
    width: 100px !important;
    text-align: center;
}

textarea {
    height: 150px;
}

th {
    width: 10em;
    text-align: left;
    font-weight: normal;
}

.required label {
    font-weight: bold;
}

.error {
    color: #e22;
    font-weight: bold;
    margin-left: 1em;
}

footer a {
    font-size: 80%;
    color: gray;
}

#addBox {
    display: block;
    width: 150px;
    height: 150px;
    color: rgb(169, 214, 250);
    font-size: 150px;
    margin: auto;
    margin-top: 60px;
    cursor: pointer;
    transition: all 0.6s;
}
#addBox:hover {
    display: block;
    width: 150px;
    height: 150px;
    color: rgb(193, 222, 247);
    font-size: 150px;
    margin: auto;
    margin-top: 60px;
    cursor: pointer;
}
.courseButton {
    background-color: #1e2761;
    display: block;
    float: left;
    width: auto;
    padding: 10px !important;
    color: rgb(255, 255, 255);
    font-size: 14px;
    font-weight: lighter;
    cursor: pointer !important;
    border-radius: 10px;
    margin: 3px !important;
    transition: all 0.6s;
}
.courseButton:hover {
    background-color: #408ec6;
    color: rgb(255, 255, 255);
    text-decoration: none;
    margin-top: 4px;
}
.courseButton.green{
    background-color: rgb(40, 143, 45);
    margin-right: 0px !important;
    border-radius: 10px 0px 0px 10px;
    border-color: rgb(10, 63, 21);
}

.courseButton.green:hover{
    background-color: rgb(59, 190, 65);
    margin-right: 0px !important;
    border-radius: 10px 0px 0px 10px;
}

.courseButton.red{
    background-color: rgb(167, 23, 23);
    margin-left: 0px !important;
    border-radius: 0px 10px 10px 0px;
    border-color: rgb(90, 4, 4);
}

.courseButton.red:hover{
    background-color: rgb(221, 76, 76);
    margin-left: 0px !important;
    border-radius: 0px 10px 10px 0px;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 50%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
    border-radius: 15px;
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {
        top: -300px;
        opacity: 0;
    }
    to {
        top: 0;
        opacity: 1;
    }
}

@keyframes animatetop {
    from {
        top: -300px;
        opacity: 0;
    }
    to {
        top: 0;
        opacity: 1;
    }
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    padding: 2px 16px;
    background-color: #1e2761;
    color: white;
    border-radius: 15px 15px 0 0;
}

.modal-body {
    padding: 2px 16px;
}

.modal-footer {
    display: none;
    padding: 2px 16px;
    background-color: #1e2761;
    color: white;
}
#profile {
    background: linear-gradient(
        rgb(243, 243, 243) 0%,
        #cceaff 35%,
        rgb(243, 243, 243) 100%
    );

    display: block;
    float: left;
    padding: 30px;
    width: 35%;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 1px solid rgb(132, 135, 182);
    border-radius: 10px;
    box-shadow: 5px 5px 8px #9bafc9;
}
#profileControl {
    background: linear-gradient(
            rgb(243, 243, 243) 0%,
            #cceaff 35%,
            rgb(243, 243, 243) 100%
        );
    display: block;
    float: left;
    padding: 5px;
    width: 99.4%;
    height: 60px;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 1px solid rgb(132, 135, 182);
    border-radius: 10px;
    box-shadow: 5px 5px 8px #9bafc9;
}

#calendarControl {
    background-color: rgb(211, 233, 255);
    display: block;
    float: left;
    padding: 5px;
    width: 100%;
    height: 40px;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 2px solid #1e2761;
}

#profileName,
#profileSurname {
    font-size: 25px;
    color: #7a2048;
    margin-bottom: 0.5em;
}
#profilePhone,
#profileJob,
#profileEmail {
    font-size: 16px;
    color: rgb(79, 131, 131);
    margin-bottom: 0.5em;
    padding-left: 10px;
}
.profileLabel {
    display: block;
    width: 100px;
    font-size: 16px;
    color: #1e2761;
    margin-bottom: 0.5em;
}
.noteLabel {
    display: block;
    width: 100x;
    font-size: 16px;
    color: #1e2761;
    margin-bottom: 0.5em;
    padding-left: 10px;
}
#profileNote {
    background-color: rgb(243, 243, 243);
    color: #888;
    display: block;
    height: 6em;
    width: 90%;
    border: 1px solid #dbbcca;
    border-radius: 5px;
    padding-left: 10px;
    overflow: scroll;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-color: #40466d #afb9d3;
    scrollbar-width: thin;
    padding: 5px;
}
#profileNote::-webkit-scrollbar-thumb {
    background: #40466d;
    width: 8px;
}
#profileNote::-webkit-scrollbar {
    background: #afb9d3;
    width: 8px;
}
.profileCourses {
    animation: appear 1s;
    background: linear-gradient(
        rgb(243, 243, 243) 0%,
        #cceaff 35%,
        rgb(243, 243, 243) 100%
    );

    display: block;
    float: left;
    padding-top: 5px;
    padding-left: 10px;
    height: auto;
    margin-left: 20px;
    width: 63%;
    margin-bottom: 10px;
    border-radius: 10px;
    border: 1px solid rgb(132, 135, 182);
    border-radius: 10px;
    box-shadow: 5px 5px 8px #9bafc9;
}
@keyframes appear {
    from {
        opacity: 0.7;
    }
    to {
        opacity: 1;
    }
}

.back-danger {
    background: linear-gradient(
        #5f1838 20%,
        #7a2048 75%,
        rgb(212, 53, 106) 100%
    );
}

.courseInfo {
    display: block;
    float: left;
    width: 40%;
    padding: 0px;
}

.nrMeeting,
.nrLeftCourse,
.courseState {
    text-align: center;
    display: block;
    float: left;
    width: 17%;
    padding: 0px;
}
.trashDelete {
    text-align: center;
    display: block;
    float: left;
    width: 9%;
    padding: 0px;
    padding-left: 5px;
}
.coursePercentage {
    background-color: white;
    display: block;
    float: left;
    width: 86%;
    padding: 0px;
    margin-bottom: 5px;
    border: 1px solid #408ec6;
    border-radius: 3px;
}
@keyframes wide {
    from {
        width: 0%;
    }
    to {
    }
}
.courseName {
    margin-bottom: 0rem;
    font-size: 17px;
    color: #7a2048;
}

.courseHead {
    padding-top: 2px;
    margin-bottom: 0rem;
    font-size: 15px;
    color: #1e2761;
}

.courseTime {
    padding-left: 30px;
    margin-bottom: 0rem;
    font-size: 14px;
    color: #7a2048;
}

.nrFull {
    margin-bottom: 0rem;
    font-size: 16px;
    color: #20611e;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
}

.nrLeft {
    margin-bottom: 0rem;
    font-size: 16px;
    color: #aa7f22;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
}

.state {
    margin-bottom: 0rem;
    font-size: 16px;
    color: #18a818;
}
.stateRed {
    margin-bottom: 0rem;
    font-size: 16px;
    color: #e43636;
}

.fillPercentage {
    animation: wide 3s;
    display: block;
    float: left;
    background-color: #18a818;
    padding: 2px;
}
.fillPercentageRed {
    animation: wide 3s;
    display: block;
    float: left;
    background-color: #e43636;
    padding: 2px;
}

.courseDeleteBtn:link,
.courseDeleteBtn:visited {
    display: block;
    float: left;
    border: 2px solid rgb(151, 44, 44);
    background-color: rgb(177, 51, 51);
    color: #ffffff;
    width: 33px;
    text-align: center;
    font-size: 14px;
    padding: 5px;
    border-radius: 10px;
    margin-left: 1%;
    margin-top: 15px;
    transition: all 0.6s;
}
.courseDeleteBtn:hover {
    text-decoration: none;
    background-color: rgb(255, 95, 95);
    margin-top: 15px;
    border-radius: 50%;
}

.addCourseC {
    display: block;
    width: 50px;
    height: 50px;
    color: rgb(169, 214, 250);
    font-size: 35px;
    padding: 0px !important;
    margin-top: 0px;
    cursor: pointer;
}
.addCourseC:hover {
    display: block;
    width: 50px;
    height: 50px;
    color: rgb(193, 222, 247);
    font-size: 35px;

    margin-top: 0px;
    cursor: pointer;
}
#calendar1 {
    display: block;
    float: left;
    margin-top: 20px;
    width: 100%;
    color: #1e2761;
    font-size: 25px;
}
.help-block {
    background-color: #e22;
    padding: 4px;
    margin-left: 2px;
    border-radius: 5px;
    transition: background-color 1s;
}
.text-danger {
    color: white !important;
    font-size: 0.8em;
}
@media (max-width: 1310px) {
    #profile {
        background: linear-gradient(
            rgb(243, 243, 243) 0%,
            #cceaff 35%,
            rgb(243, 243, 243) 100%
        );

        display: block;
        float: left;
        padding: 10px;
        width: 100%;
        margin-bottom: 10px;
        border-radius: 10px;
        border: 1px solid rgb(132, 135, 182);
    }

    #profileControl {
        height: auto;
    }

    .profileCourses {
        background: linear-gradient(
            rgb(243, 243, 243) 0%,
            #cceaff 35%,
            rgb(243, 243, 243) 100%
        );

        display: block;
        float: left;
        padding-top: 5px;
        padding-left: 5px;
        height: auto;
        margin-left: 0px;
        width: 100%;
        margin-bottom: 10px;
        border-radius: 10px;
        border: 1px solid rgb(132, 135, 182);
    }
    .courseButton.green{
        border-radius: 10px;
    }
    
    .courseButton.green:hover{
        border-radius: 10px;
    }
    
    .courseButton.red{
        border-radius: 10px;
    }
    
    .courseButton.red:hover{
        border-radius: 10px;
    }
}

@media (max-width: 600px) {
    .courseInfo,
    .nrMeeting,
    .nrLeftCourse,
    .courseState,
    .trashDelete,
    .coursePercentage {
        display: block;
        text-align: center;
        float: left;
        width: 100%;
    }
    .middle {
        padding: 5px;
        width: auto;
        margin: auto;
        border-radius: 10px;
    }
    .middleClassic {
        width: auto;
        display: block;
        overflow: auto;
        margin: auto;
        padding: 5px;
    }
    .courseDeleteBtn {
        width: 90% !important;
        margin-bottom: 5px;
        border-radius: 10px;
    }
    .courseDeleteBtn:hover {
        border-radius: 10px;
    }
    .courseButton {
        width: 90%;
    }
    #profileControl {
        
        height: auto;
    }
    #addBox {
        display: block;
        padding: 25px;
        color: rgb(169, 214, 250);
        font-size: 100px;
        margin-bottom: 60px;
        margin-top: 25px;
        cursor: pointer;
    }
    #addBox:hover {
        display: block;
        padding: 25px;
        color: rgb(193, 222, 247);
        font-size: 100px;
        margin-bottom: 60px;
        margin-top: 25px;
        cursor: pointer;
    }

    .modal-content {
        width: 100%;
    }
    input {
        width: 100% !important;
    }
    textarea {
        width: 100%;
    }
    #chartWrap {
        display: block !important;
        float: left !important;
        width: 95% !important;
    }
    #chartWrap2 {
        display: block !important;
        float: left !important;
        width: 95% !important;
    }

    #accordeonWrap {
        display: block !important;
        float: left !important;
        width: 95% !important;
        padding-top: 5px !important;
    }
    #registrace {
        width: 100%;
        margin: 100px auto;
        background-color: rgb(211, 233, 255);
        padding: 20px;
        border: 1px solid rgb(138, 138, 138);
        border-radius: 10px;
    }
   
}

#ajax-spinner {
    display: inline-block;
    position: absolute;
    width: 100px;
    height: 100px;
}
#ajax-spinner div {
    position: absolute;
    border: 4px solid rgb(45, 161, 255);
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
#ajax-spinner div:nth-child(2) {
    animation-delay: -0.5s;
}
@keyframes lds-ripple {
    0% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }
    4.9% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }
    5% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 1;
    }
    100% {
        top: 0px;
        left: 0px;
        width: 72px;
        height: 72px;
        opacity: 0;
    }
}
/*TABLE STATS*/

.thStats {
    background-color: #6973b1;

    color: white;
    font-size: 0.9em;
    text-align: center;
}

.tdName,
.tdCourseName {
    background-color: #b6d8f0;

    color: #1e2761;
    font-size: 0.85em;
    border-radius: 3px;
    border-right: none !important;
}

.tdSplit {
    border-top: 2px solid #1e2761 !important;
    height: 2px !important;
    background-color: white;
}

.tdMonth {
    border: 1px solid rgb(132, 135, 182) !important;
    font-size: 0.9em;
    text-align: center;
    transition: background-color 1s;
}

.thStats.left {
    text-align: left;
    font-size: 1em;
    width: 15%;
}
.thStats.right {
    border-radius: 0 10px 0 0;
}
h1 {
    margin-top: 1%;
    font-family: Georgia, 'Times New Roman', Times, serif;
    letter-spacing: 0.08em;
    font-size: 1.6em;
    text-transform: capitalize;
    color: #2c2846;
    transition: background-color 1s;
    margin-left: 8px;
}
.back1 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(255, 99, 132, 0.2);
    color: rgb(255, 99, 132);
    transition: background-color 1s;
}
.back2 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(255, 159, 64, 0.2);
    color: rgb(255, 159, 64);
    transition: background-color 1s;
}
.back3 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(255, 205, 86, 0.2);
    color: rgb(255, 205, 86);
    transition: background-color 1s;
}
.back4 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(75, 192, 192, 0.2);
    color: rgb(75, 192, 192);
    transition: background-color 1s;
}
.back5 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(54, 162, 235, 0.2);
    color: rgb(54, 162, 235);
    transition: background-color 1s;
}
.back6 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(153, 102, 255, 0.2);
    color: rgb(153, 102, 255);
    transition: background-color 1s;
}
.back7 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(201, 203, 207, 0.2);
    color: rgb(201, 203, 207);
    transition: background-color 1s;
}
.back8 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(255, 99, 132, 0.2);
    color: rgb(255, 99, 132);
    transition: background-color 1s;
}
.back9 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(255, 159, 64, 0.2);
    color: rgb(255, 159, 64);
    transition: background-color 1s;
}
.back10 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(255, 205, 86, 0.2);
    color: rgb(255, 205, 86);
    transition: background-color 1s;
}
.back11 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(75, 192, 192, 0.2);
    color: rgb(75, 192, 192);
    transition: background-color 1s;
}
.back12 {
    border: 1px solid #408ec6 !important;
    font-size: 0.9em;
    text-align: center;
    background-color: rgba(54, 162, 235, 0.2);
    color: rgb(54, 162, 235);
    transition: background-color 1s;
}

.tdMonth1:hover {
    background-color: rgba(255, 99, 132, 0.8);
    color: rgb(255, 0, 55);
}
.tdMonth2:hover {
    background-color: rgba(255, 159, 64, 0.8);
    color: rgb(255, 128, 0);
}
.tdMonth3:hover {
    background-color: rgba(255, 205, 86, 0.8);
    color: rgb(255, 179, 0);
}
.tdMonth4:hover {
    background-color: rgba(75, 192, 192, 0.8);
    color: rgb(0, 168, 168);
}
.tdMonth5:hover {
    background-color: rgba(54, 162, 235, 0.8);
    color: rgb(1, 140, 233);
}
.tdMonth6:hover {
    background-color: rgba(153, 102, 255, 0.8);
    color: rgb(85, 0, 255);
}
.tdMonth7:hover {
    background-color: rgba(201, 203, 207, 0.8);
    color: rgb(144, 164, 202);
}
.tdMonth8:hover {
    background-color: rgba(255, 99, 132, 0.8);
    color: rgb(255, 0, 55);
}
.tdMonth9:hover {
    background-color: rgba(255, 159, 64, 0.8);
    color: rgb(255, 128, 0);
}
.tdMonth10:hover {
    background-color: rgba(255, 205, 86, 0.8);
    color: rgb(255, 179, 0);
}
.tdMonth11:hover {
    background-color: rgba(75, 192, 192, 0.8);
    color: rgb(0, 167, 167);
}
.tdMonth12:hover {
    background-color: rgba(54, 162, 235, 0.8);
    color: rgb(54, 162, 235);
}

.list-group-item {
    border-color: rgb(167, 188, 224) !important;
    font-size: 14px;
}

#addBoxCourse {
    float: right;
    width: 38px;
    height: 38px;
    padding-top: 7px !important;
    text-align: center;
    background-color: #1e2761;
    border: #0d122c solid 2px;
}
#addBoxCourse:hover {
    background-color: #408ec6;
    transition: all 1s;
    border-radius: 20px;
}
.squiezed {
    margin-left: 4%;
    margin-right: 1.5%;
    width: 94%;
}
.squiezed td{
    width:8%;
}
.accordion-button {
    color: #3d4264;
    background-color: rgb(239, 246, 255);
}
.accordion-button:not(.collapsed) {
    color: #3d4264;
    background-color: rgb(239, 246, 255);
    border-color: #ffffff;
}
.accordion-button .collapsed {
    color: #3d4264;
    background-color: rgb(255, 255, 255);
    border-color: #ffffff;
}
.accordion-button {
    font-size: 15px;
    padding: 10px 25px 0px 25px;
    border-color: #ffffff;
}

.accordion-button:focus {
    z-index: 3;
    border-color: none;
    outline: 0;
    box-shadow: none;
}

#chartWrap {
    display: block;
    float: right;
    width: 45%;
    padding-left: 15px;
    margin-top: 20px;
    border: 1px solid rgb(132, 135, 182);
    border-radius: 5px;
    box-shadow: 5px 5px 8px #9bafc9;
}

#chartWrap2 {
    display: block;
    float: right;
    width: 45%;
}
.accordion-item {
    border-color: rgb(132, 135, 182) !important ;
}

#accordeonWrap {
    display: block;
    float: left;
    width: 45%;
    margin-top: 20px;
    border: 0px solid rgb(132, 135, 182);
    border-radius: 5px;
    box-shadow: 5px 5px 8px #9bafc9;
}
a {
    text-decoration: none;
}
.listChartWrap {
    display: flexbox;
    flex: content;

    background-color: #000;
}
.navbar {
    padding-left: 10px !important;
}
#teacher{
    background-image: url('../img/teacherNew.svg') !important;
    background-size: 128px 120px;
    background-repeat: no-repeat;
    background-position: right bottom;
}

#student{
    background-image: url('../img/studentNew.svg') !important;
    background-size: 128px 120px;
    background-repeat: no-repeat;
    background-position: right bottom;
}

#logobg{
    background-image: url('../img/calendar.svg') !important;
    background-size: 128px 120px;
    background-repeat: no-repeat;
    background-position: right bottom;
}
#frm-dayForm-file{
    padding: 0px !important;
}
li.ident{ 
    text-indent: -18px;
}
